@import url("https://fonts.googleapis.com/css2?family=Figtree:ital,wght@0,300..900;1,300..900&display=swap");
/* layout reset */
* {
  box-sizing: border-box;
}

/* style variables */

:root {
  --yellow: #f4d04e;
  --gray-95: rgb(17, 17, 17);
  --gray500: rgb(107, 107, 107);
  --att-blue: hsl(228, 45%, 44%);
  --base-font: 16px;
  --big-base-font: 18.788px;
  --white: white;
}

/* Default text size */

html {
  font-size: var(--base-font);
}

/*  Typography Classes */

.text-preset-1 {
  font-family: "Figtree", sans-serif;
  font-optical-sizing: auto;
  font-weight: 900;
  font-style: normal;
  line-height: 150%;
  letter-spacing: 0px;
  font-size: 1.5rem; /* 24/16 */
}

.text-preset-2 {
  font-family: "Figtree", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
  line-height: 150%;
  letter-spacing: 0px;
  font-size: var(--base-font);
}

.text-preset-3 {
  font-family: "Figtree", sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
  line-height: 150%;
  letter-spacing: 0px;
  font-size: 0.875rem; /* 14/16 */
}

.text-preset-4 {
  font-family: "Figtree", sans-serif;
  font-optical-sizing: auto;
  font-weight: 900;
  font-style: normal;
  line-height: 150%;
  letter-spacing: 0px;
  font-size: 0.75rem; /* 12/16 */
}

.text-preset-5 {
  font-family: "Figtree", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
  line-height: 150%;
  letter-spacing: 0px;
  font-size: 0.75rem; /* 16/16 */
}

/* Body Style */

body {
  background-color: var(--yellow);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

/* Card Styles */

main {
  padding: 1.5rem; /*.24/16 */
  background-color: var(--white);
  height: 30.312rem; /* ? yolo */
  width: 20.347rem; /* 327/16*/
  border-radius: 20px;
  box-shadow: 8px 8px var(--gray-95);
}
.pill {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 73px;
  height: 26px;
  border-radius: 4px;
  background-color: var(--yellow);
}

#heading {
  font-size: 1.25rem; /* 20/16 */
}

#heading:hover {
  color: var(--yellow);
}

.blog-card-body {
  margin: 1.5rem 0; /* 24/16 */
}

.blog-text {
  width: 17.437rem; /* 279/16 */
  height: 12.812rem; /* ? yolo */
}

/* img styling */

.heading-img {
  width: 17.437rem; /*.279/16 */
  height: auto;
  border-radius: 10px;
}
.author::before {
  content: "";
  display: inline-block;
  width: 32px; /* Sets container width to 32px */
  height: 32px; /* Sets container height to 32px */
  background-image: url("../img/image-avatar.webp");
  background-size: 32px 32px; /* Forces the image file to resize to 32px by 32px */
  background-repeat: no-repeat;
  background-position: center;
  margin-right: 8px; /* Adds spacing between the image and text */
  vertical-align: middle; /* Aligns the 32px image with the center of your text */
}

@media screen and (min-width: 768px) {
  html {
    font-size: var(--big-base-font);
  }
}
